> ## Documentation Index
> Fetch the complete documentation index at: https://docs.domino.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Create workspace session

> Creates a new session given an existing workspace. Required permissions: `OpenWorkspace`, `UseGlobalCompute`



## OpenAPI

````yaml /api-specs/6.3/public-api.yaml post /api/projects/v1/projects/{projectId}/workspaces/{workspaceId}/sessions
openapi: 3.0.3
info:
  title: Domino Public API
  description: Domino Public API Endpoints
  version: 6.2.2
servers: []
security:
  - DominoApiKey: []
  - BearerAuthentication: []
tags:
  - name: AIGateway
  - name: AppInstances
  - name: AppVersions
  - name: Apps
  - name: AsyncPredictions
  - name: AuditTrail
  - name: BillingTag
  - name: BillingTagSettings
  - name: Cost
  - name: CustomMetrics
  - name: DataSource
  - name: DatasetRw
  - name: DeploymentTargets
  - name: Environments
  - name: GenAI
  - name: HardwareTier
  - name: Jobs
  - name: ModelAPI
  - name: ModelAPIVersion
  - name: ModelDeployment
  - name: Organizations
  - name: PPM
  - name: ProjectSharedDatasets
  - name: ProjectTemplates
  - name: Projects
  - name: ProjectsFiles
  - name: RegisteredModels
  - name: ServiceAccounts
  - name: Users
  - name: Workspaces
paths:
  /api/projects/v1/projects/{projectId}/workspaces/{workspaceId}/sessions:
    post:
      tags:
        - Workspaces
      summary: Create workspace session
      description: >-
        Creates a new session given an existing workspace. Required permissions:
        `OpenWorkspace`, `UseGlobalCompute`
      operationId: createWorkspaceSession
      parameters:
        - description: Project ID
          in: path
          name: projectId
          required: true
          schema:
            type: string
        - description: Workspace ID
          in: path
          name: workspaceId
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/NewWorkspaceSessionV1'
        description: New session parameters
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/WorkspaceSessionCreatedEnvelopeV1'
          description: Success
        '400':
          $ref: '#/components/responses/400'
        '401':
          $ref: '#/components/responses/401'
        '403':
          $ref: '#/components/responses/403'
        '404':
          $ref: '#/components/responses/404'
        '500':
          $ref: '#/components/responses/500'
components:
  schemas:
    NewWorkspaceSessionV1:
      properties:
        externalVolumeMounts:
          default: []
          items:
            description: External volume mount IDs
            type: string
          type: array
        netAppVolumeMounts:
          default: []
          items:
            description: NetApp ONTAP Volume IDs to mount
            type: string
          type: array
      required:
        - externalVolumeMounts
      type: object
    WorkspaceSessionCreatedEnvelopeV1:
      properties:
        metadata:
          $ref: '#/components/schemas/MetadataV1'
        workspaceSession:
          $ref: '#/components/schemas/WorkspaceSessionCreatedV1'
      required:
        - workspaceSession
        - metadata
      type: object
    MetadataV1:
      properties:
        notices:
          description: Notices relating to the request
          items:
            type: string
          type: array
        requestId:
          type: string
      required:
        - requestId
        - notices
      type: object
    WorkspaceSessionCreatedV1:
      properties:
        executionId:
          description: ID of the underlying execution serving the workspace session.
          type: string
        id:
          description: ID of the newly created workspace session.
          type: string
      required:
        - id
        - executionId
      type: object
    FailureEnvelopeV1:
      properties:
        errors:
          description: Errors that caused a request to fail
          items:
            type: string
          type: array
        requestId:
          description: Id used to correlate a request with server actions.
          example: bbd78579-93c4-45ee-a983-0d5c8da6d5b1
          type: string
      required:
        - requestId
        - errors
      type: object
  responses:
    '400':
      content:
        application/json:
          schema:
            properties:
              error:
                type: string
            type: object
      description: Bad Request
    '401':
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/FailureEnvelopeV1'
      description: >-
        The current user cannot perform this operation because they are not
        logged in
    '403':
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/FailureEnvelopeV1'
      description: The current user is not authorized to perform this operation
    '404':
      content:
        application/json:
          schema:
            properties:
              error:
                type: string
            type: object
      description: Not Found
    '500':
      content:
        application/json:
          schema:
            properties:
              error:
                type: string
            type: object
      description: Internal Server Error
  securitySchemes:
    DominoApiKey:
      in: header
      name: X-Domino-Api-Key
      type: apiKey
    BearerAuthentication:
      in: header
      name: Authorization
      type: apiKey

````